# Vault Wrap/Unwrap

ВЭБ-интерфейс к сервису vault/unwrap для безопасной передачи секретов. Также генератор паролей.

## Запуск

Сервис можно запускать как с командной строки так и в docker-контейнере

Запуск с доступом по https (использование TLS/SSL):

```
vault-wrap -action-address "https://saecret.example.ru:8443" -vault-url "https://vault.example.ru:8200" -tls-cert cert.pem -tls-key privaty.key -listen-port 8443 -tls
```

Запуск с доступом по http:
```
vault-wrap -action-address "http://saecret.example.ru:8080" -vault-url "https://vault.example.ru:8200" -tls-cert cert.pem -tls-key privaty.key -listen-port 8080
```

Если сервис запущен за обратным прокси, то в качестве адреса сервиса -action-address требуется указать адрес прокси, т.е. адрес (FQDN) на который будут приходить запросы.

## Ключи командной строки

  - action-address string - Адрес данного сервиса (https://secret.example.ru). Адрес который будет подставляться в форму в html-шаблон
  - debug - Вывод отладочных сообщений
  - listen-port string - Номер порта сервиса (default "8080")
  - log-file string -  Путь до лог-файла  (default "vault-unwrap.log")
  - template-dir string -Каталог с шаблонами (default "html-template")
  - template-file string Файл-шаблон для ВЭБ-странцы (default "index.html")
  - tls - Использовать SSL/TLS
  - tls-cert string - TLS сертификат (полный путь к файлу)
  - tls-key string - TLS ключ (полный путь к файлу)
  - vault-url string -	Адрес сервера Hashicorp Vault (https://host.name:8200)
  - help  - Вывод справочной информации


